/*******************************************************
//
//	Name: CSound.h
//
//	Author: Dave Ratti
//
//	Date:2-28-02
//
//	Modified: 
//
//	Notes: Abstract base class for a Sound clip/wav/whatever
//	
*********************************************************/



#ifndef CSOUND_H
#define CSOUND_H

#include "STRINGC.h"
#include "Singleton.h"


//Completely abstract class... I suppose we could add stuff like length, pitch, whatever

class CSound
{

public:
	
			 CSound(){ };
	virtual ~CSound(){ };	

	STRINGC getFileName(){ return m_fileName; };

protected:

	STRINGC m_fileName;

};


#endif